<?php

namespace Drupal\dblog_filter\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Show title based on dblog and/or syslog modules enabled.
 */
class DBLogTitleController extends ControllerBase {

  /**
   * The module handler.
   *
   * @var \Drupal\Core\Extension\ModuleHandlerInterface
   */
  protected $moduleHandler;

  /**
   * {@inheritdoc}
   */
  public function __construct(ModuleHandlerInterface $moduleHandler) {
    $this->moduleHandler = $moduleHandler;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('module_handler'),
    );
  }

  /**
   * {@inheritdoc}
   */
  public function getTitle() {
    $moduleHandler = $this->moduleHandler;
    if ($moduleHandler->moduleExists('dblog')) {
      $title = $this->t('DB Log Filter settings');
    }
    if ($moduleHandler->moduleExists('syslog')) {
      $title = $this->t('Syslog Filter settings');
    }
    if ($moduleHandler->moduleExists('dblog') || $moduleHandler->moduleExists('syslog')) {
      $title = $this->t('DBLog and Syslog Filter settings');
    }
    return $title;
  }

}
